# invoiceRefund

Refund an invoice

**Scope required:** billing:write

```graphql
mutation invoiceRefund ($invoiceId: ID!, $disputeReasonId: ID!) {
  invoiceRefund (invoiceId: $invoiceId, disputeReasonId: $disputeReasonId) {
      creditNote {
        accountId
        amount
        amountApplied
        amountUnapplied
        createdAt
        creditedInvoiceId
        currencyId
        description
        disputeId
        disputeReasonId
        entityId
        id
        isCredit
        isLegacy
        issuedAt
        number
        subtotal
        taxAmount
        updatedAt
        uuid
        warrenId
      }
      errors
  }
}
```

## Arguments

```json
{
  "invoiceId": "456123",
  "disputeReasonId": "456123"
}
```

| Name            | Type | Description |
| --------------- | ---- | ----------- |
| invoiceId       | ID   |             |
| disputeReasonId | ID   |             |

## Response

| Name       | Type                                                       | Description |
| ---------- | ---------------------------------------------------------- | ----------- |
| creditNote | [CreditNote](/developer/api-reference/types/creditnote.md) |             |
| errors     | List (String)                                              |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/invoicerefund.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
